/*===========================================================================
  Copyright (C) 2019 by the Okapi Framework contributors
-----------------------------------------------------------------------------
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
============================================================================*/

package net.sf.okapi.filters.xliff2.model;

public class XLIFF2PropertyStrings {


    // Attributes from the XLIFF 2.0 Spec: http://docs.oasis-open.org/xliff/xliff-core/v2.0/os/xliff-core-v2.0-os.html#d0e4784
    public static final String APPLIES_TO = "appliesTo";
    public static final String CAN_COPY = "canCopy";
    public static final String CAN_DELETE = "canDelete";
    public static final String CAN_OVERLAP = "canOverlap";
    public static final String CAN_REORDER = "canReorder";
    public static final String CAN_RESEGMENT = "canResegment";
    public static final String CATEGORY = "category";
    public static final String COPY_OF = "copyOf";
    public static final String DATA = "data";
    public static final String DATA_REF = "dataRef";
    public static final String DATA_REF_END = "dataRefEnd";
    public static final String DATA_REF_START = "dataRefStart";
    public static final String DIR = "dir";
    public static final String DISP = "disp";
    public static final String DISP_END = "dispEnd";
    public static final String DISP_START = "dispStart";
    public static final String EQUIV = "equiv";
    public static final String EQUIV_END = "equivEnd";
    public static final String EQUIV_START = "equivStart";
    public static final String HEX = "hex";
    public static final String HREF = "href";
    public static final String ID = "id";
    public static final String ISOLATED = "isolated";
    public static final String NAME = "name";
    public static final String ORDER = "order";
    public static final String ORIGINAL = "original";
    public static final String PRIORITY = "priority";
    public static final String REF = "ref";
    public static final String SRC_DIR = "srcDir";
    public static final String SRC_LANG = "srcLang";
    public static final String START_REF = "startRef";
    public static final String STATE = "state";
    public static final String SUB_FLOWS = "subFlows";
    public static final String SUB_FLOWS_END = "subFlowsEnd";
    public static final String SUB_FLOWS_START = "subFlowsStart";
    public static final String SUB_STATE = "subState";
    public static final String SUB_TYPE = "subType";
    public static final String TRG_LANG = "trgLang";
    public static final String TRANSLATE = "translate";
    public static final String TRG_DIR = "trgDir";
    public static final String TYPE = "type";
    public static final String VALUE = "value";
    public static final String VERSION = "version";
    public static final String XML_PRESERVE_WHITESPACE = "xmlPreserveWS";


    // Custom parameters
    public static final String CODE_ID_PREPEND = "codeId.";
    public static final String ATTRS_PREPEND = "attrs.";
    public static final String NAMESPACE_PREPEND = "namespace.";
    public static final String SKELETON_EXISTS = "skeletonExists";
    public static final String SKELETON_PREPEND = "skeleton.";
    public static final String EXTENDED_ATTRIBUTE_PREFIX = "extendedAttribute.";
    public static final String EXTENDED_NAMESPACE_PREFIX = "extendedNamespace.";
    public static final String EXTENDED_ATTRIBUTE_DELIMITER = "==";

    public static final String DATA_DIR = "dataDir";

    public static class METADATA {
        public static final String DELIMITER = ".";
        public static final String PREPEND = "metadata";
        public static final String METADATA_GROUP = "metadatagroup";
        public static final String META = "meta";
    }

}
